[Armadeus-commitlog] armadeus branch, buildroot-update, updated. armadeus-6.0-173-gfa87f70
Brought to you by:
sszy
|
From: Julien B a. A. <ar...@us...> - 2016-12-23 16:08:26
|
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "armadeus".
The branch, buildroot-update has been updated
via fa87f70035b3a704b4b484c9139ed2505c046261 (commit)
via a702a78cbff82031bfc97eeb5d5c6dd56c5ff584 (commit)
from e68b904e463c4d31b65f0b59a79c567861766411 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit fa87f70035b3a704b4b484c9139ed2505c046261
Author: Julien BOIBESSOT <jul...@ar...>
Date: Fri Dec 23 17:07:50 2016 +0100
[TEST] Add OPOS6UL support to test_backlight.sh
commit a702a78cbff82031bfc97eeb5d5c6dd56c5ff584
Author: Julien BOIBESSOT <jul...@ar...>
Date: Fri Dec 23 17:06:47 2016 +0100
[LINUX] 4.8: opos6ul: rename LCD's backlight to be more /sys/ coherent
-----------------------------------------------------------------------
Summary of changes:
...pos6ul-and-opos6uldev-add-initial-support.patch | 2 +-
target/test/test_backlight.sh | 15 ++++++++++++++-
target/test/test_helpers.sh | 2 ++
3 files changed, 17 insertions(+), 2 deletions(-)
diff --git a/patches/linux/4.8/0800-ARM-dts-opos6ul-and-opos6uldev-add-initial-support.patch b/patches/linux/4.8/0800-ARM-dts-opos6ul-and-opos6uldev-add-initial-support.patch
index af76ec4..6b292d1 100644
--- a/patches/linux/4.8/0800-ARM-dts-opos6ul-and-opos6uldev-add-initial-support.patch
+++ b/patches/linux/4.8/0800-ARM-dts-opos6ul-and-opos6uldev-add-initial-support.patch
@@ -288,7 +288,7 @@ Index: linux-4.8.10/arch/arm/boot/dts/imx6ul-opos6uldev.dts
+ stdout-path = &uart1;
+ };
+
-+ backlight {
++ lcd {
+ compatible = "pwm-backlight";
+ pwms = <&pwm3 0 191000>;
+ brightness-levels = <0 4 8 16 32 64 128 255>;
diff --git a/target/test/test_backlight.sh b/target/test/test_backlight.sh
index a353e08..70553a5 100755
--- a/target/test/test_backlight.sh
+++ b/target/test/test_backlight.sh
@@ -3,7 +3,7 @@
#
# Script to test Armadeus Software release
#
-# Copyright (C) 2008-2015 The Armadeus Project - Armadeus Systems
+# Copyright (C) 2008-2016 The Armadeus Project - Armadeus Systems
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -47,6 +47,13 @@ load_driver()
max_bright=0 # inverted polarity
LOOP=`seq 1 1 8`
LOOP_DELAY=500000
+ elif [ "$1" == "OPOS6UL" ]; then
+ SYS_DIR=/sys/class/backlight/lcd/
+ min_bright=0
+ mid_bright=4
+ max_bright=7
+ LOOP=`seq 1 1 8`
+ LOOP_DELAY=500000
else
echo "Platform not supported by this test"
exit 0
@@ -70,6 +77,12 @@ test_backlight()
exit_failed
fi
fi
+
+ if [ ! -d $SYS_DIR ]; then
+ echo "$SYS_DIR doesn't exist... exiting."
+ exit 1
+ fi
+
current=`cat $SYS_DIR/actual_brightness`
if [ "$max_bright" == "" ]; then
max_bright=`cat $SYS_DIR/max_brightness`
diff --git a/target/test/test_helpers.sh b/target/test/test_helpers.sh
index d40494f..ff73b32 100755
--- a/target/test/test_helpers.sh
+++ b/target/test/test_helpers.sh
@@ -175,6 +175,8 @@ execute_for_target()
$1 $BOARD $2
elif [ "$BOARD" == "APF6" ]; then
$1 $BOARD $2
+ elif [ "$BOARD" == "OPOS6UL" ]; then
+ $1 $BOARD $2
fi
fi
}
hooks/post-receive
--
armadeus
|